std::tuple_element< 0, tuple< _Head, _Tail... > > Struct Template Reference
Utilities

`#include <tuple>`

## Public Types

typedef _Head | type

## Detailed Description

template<typename _Head, typename... _Tail>
struct std::tuple_element< 0, tuple< _Head, _Tail... > >

Basis case for tuple_element: The first element is the one we're seeking.

Definition at line 1292 of file tuple.

## Member Typedef Documentation

## type

template<typename _Head , typename... _Tail>

typedef _Head std::tuple_element< 0, tuple< _Head, _Tail... > >::type

Definition at line 1294 of file tuple.

The documentation for this struct was generated from the following file:

- tuple